/*****************************************************\
	CTux_Global.h	
	Author: Andr�Schnabel
	Date: 30.10.02 - 31.10.02
	License: GPL
\*****************************************************/

#ifndef __CTUX_GLOBAL_H__
#define __CTUX_GLOBAL_H__

//#define NO_SOUND // uncomment this line if you don't want any sound

#define SCREEN_W 640
#define SCREEN_H 480
#define SCREEN_BPP 16
#define SCREEN_FLAGS SDL_HWSURFACE | SDL_HWACCEL | SDL_RLEACCEL | SDL_DOUBLEBUF

#define CAPTION "Commander Tux Duel"

#include <SDL/SDL.h>
#ifndef NO_SOUND
	#include <SDL/SDL_mixer.h>
#endif
#include <stdlib.h>

extern SDL_Surface *LoadBMP(const char *filename);

extern bool done;
extern SDL_Surface *screen;
extern Uint32 magenta, bgcolor;

#ifndef NO_SOUND
	extern Mix_Chunk *jump_sound, *kill_sound;
	extern Mix_Music *bg_music;
#endif

#endif